[arch-commits] Commit in python-passlib/repos (2 files)
Evangelos Foutras
foutrelis at gemini.archlinux.org
Tue Nov 30 20:20:11 UTC 2021
Date: Tuesday, November 30, 2021 @ 20:20:10
Author: foutrelis
Revision: 1058030
archrelease: copy trunk to community-staging-any
Added:
python-passlib/repos/community-staging-any/
python-passlib/repos/community-staging-any/PKGBUILD
(from rev 1058028, python-passlib/trunk/PKGBUILD)
----------+
PKGBUILD | 33 +++++++++++++++++++++++++++++++++
1 file changed, 33 insertions(+)
Copied: python-passlib/repos/community-staging-any/PKGBUILD (from rev 1058028, python-passlib/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD (rev 0)
+++ community-staging-any/PKGBUILD 2021-11-30 20:20:10 UTC (rev 1058030)
@@ -0,0 +1,33 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: onny <onny at project-insanity.org>
+
+pkgname=python-passlib
+pkgver=1.7.4
+pkgrel=4
+pkgdesc="A password hashing library for Python"
+arch=('any')
+url="https://code.google.com/p/passlib/"
+license=('custom:BSD')
+depends=("python")
+optdepends=("python-fastpbkdf2: accelerate PBKDF2-based hashes"
+ "python-bcrypt: accelerate Bcrypt hashes"
+ "python-scrypt: accelerate SCrypt hashes")
+makedepends=('python-setuptools')
+checkdepends=('python-nose' 'python-bcrypt' 'python-django' 'python-fastpbkdf2' 'python-scrypt')
+source=("https://pypi.io/packages/source/p/passlib/passlib-$pkgver.tar.gz")
+sha512sums=('350bd6da5ac57e6c266ffe8bf9684c8c2cce3fc6b513eb6c7bc1b302d2d8a1b701e9c01c953782520a2ac37b7ec1f6d7bd5855f99f6ee0e2dbbf33f2d49a9530')
+
+check() {
+ export PASSLIB_TEST_MODE=full
+
+ cd "$srcdir"/passlib-$pkgver
+ python setup.py nosetests || echo "https://bitbucket.org/ecollins/passlib/issues/98/passlibextdjango-with-django-1112-fails"
+}
+
+package() {
+ cd passlib-$pkgver
+ python setup.py install -O1 --root="$pkgdir"
+ install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+# vim:set ts=2 sw=2 et:
More information about the arch-commits
mailing list